/**
 * Copyright (c) 2010 by Gabriel Birke
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the 'Software'), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */function Sanitize(){var e,t,n;n=arguments[0]||{},this.jQuery=arguments[1]||{},this.config={},this.config.elements=n.elements?n.elements:[],this.config.attributes=n.attributes?n.attributes:{},this.config.attributes[Sanitize.ALL]=this.config.attributes[Sanitize.ALL]?this.config.attributes[Sanitize.ALL]:[],this.config.allow_comments=n.allow_comments?n.allow_comments:!1,this.allowed_elements={},this.config.protocols=n.protocols?n.protocols:{},this.config.add_attributes=n.add_attributes?n.add_attributes:{},this.dom=n.dom?n.dom:document;for(e=0;e<this.config.elements.length;e++)this.allowed_elements[this.config.elements[e]]=!0;this.config.remove_element_contents={},this.config.remove_all_contents=!1;if(n.remove_contents)if(n.remove_contents instanceof Array)for(e=0;e<n.remove_contents.length;e++)this.config.remove_element_contents[n.remove_contents[e]]=!0;else this.config.remove_all_contents=!0;this.transformers=n.transformers?n.transformers:[],this.filters=n.filters?n.filters:[]}Sanitize.REGEX_PROTOCOL=/^([A-Za-z0-9\+\-\.\&\;\*\s]*?)(?:\:|&*0*58|&*x0*3a)/i,Sanitize.RELATIVE="__relative__",Sanitize.prototype.clean_node=function(e){function n(e,t){var n;for(n=0;n<t.length;n++)if(t[n]==e)return n;return-1}function r(){var e=[],t={},n,r;for(n=0;n<arguments.length;n++){if(!arguments[n]||!arguments[n].length)continue;for(r=0;r<arguments[n].length;r++){if(t[arguments[n][r]])continue;t[arguments[n][r]]=!0,e.push(arguments[n][r])}}return e}function s(e){var t;for(var n=0;n<this.filters.length;n++)if(!this.filters[n](e)){t=e.cloneNode(!0),this.current_element.appendChild(t);return}switch(e.nodeType){case 1:o.call(this,e);break;case 3:var t=e.cloneNode(!1);this.current_element.appendChild(t);break;case 5:var t=e.cloneNode(!1);this.current_element.appendChild(t);break;case 8:if(this.config.allow_comments){var t=e.cloneNode(!1);this.current_element.appendChild(t)};default:}}function o(e){var t,i,o,a,f,l,c,h,p,d,v,m,g=u.call(this,e),y=this.jQuery,b=y.browser.msie&&y.browser.version==="7.0";e=g.node,f=e.nodeName.toLowerCase(),a=this.current_element;if(this.allowed_elements[f]||g.whitelist){this.current_element=this.dom.createElement(e.nodeName),a.appendChild(this.current_element),l=r(this.config.attributes[f],this.config.attributes.__ALL__,g.attr_whitelist);for(t=0;t<l.length;t++)h=l[t],c=e.attributes[h],c&&(m=!0,this.config.protocols[f]&&this.config.protocols[f][h]&&(d=this.config.protocols[f][h],v=c.nodeValue.toLowerCase().match(Sanitize.REGEX_PROTOCOL),v?m=n(v[1],d)!=-1:m=n(Sanitize.RELATIVE,d)!=-1),m&&(!b||b&&"style"!==h)&&(p=document.createAttribute(h),p.value=c.nodeValue,this.current_element.setAttributeNode(p)));if(this.config.add_attributes[f])for(h in this.config.add_attributes[f])if(!b||b&&"style"!==h)p=document.createAttribute(h),p.value=this.config.add_attributes[f][h],this.current_element.setAttributeNode(p)}else if(n(e,this.whitelist_nodes)!=-1){this.current_element=e.cloneNode(!0);while(this.current_element.childNodes.length>0)this.current_element.removeChild(this.current_element.firstChild);a.appendChild(this.current_element)}if(!this.config.remove_all_contents&&!this.config.remove_element_contents[f])for(t=0;t<e.childNodes.length;t++)s.call(this,e.childNodes[t]);this.current_element.normalize&&this.current_element.normalize(),this.current_element=a}function u(e){var t={attr_whitelist:[],node:e,whitelist:!1},i,s,o;for(i=0;i<this.transformers.length;i++){o=this.transformers[i]({allowed_elements:this.allowed_elements,config:this.config,node:e,node_name:e.nodeName.toLowerCase(),whitelist_nodes:this.whitelist_nodes,dom:this.dom});if(o==null)continue;if(typeof o!="object")throw new Error("transformer output must be an object or null");if(o.whitelist_nodes&&o.whitelist_nodes instanceof Array)for(s=0;s<o.whitelist_nodes.length;s++)n(o.whitelist_nodes[s],this.whitelist_nodes)==-1&&this.whitelist_nodes.push(o.whitelist_nodes[s]);t.whitelist=o.whitelist?!0:!1,o.attr_whitelist&&(t.attr_whitelist=r(t.attr_whitelist,o.attr_whitelist)),t.node=o.node?o.node:t.node}return t}var t=this.dom.createDocumentFragment();this.current_element=t,this.whitelist_nodes=[];for(i=0;i<e.childNodes.length;i++)s.call(this,e.childNodes[i]);return t.normalize&&t.normalize(),t};